Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.setup
Interface BambooSetupContants

    public interface BambooSetupContants

Field Summary
`static String` | `ATTACHMENT_STORAGE_DATABASE`
`static String` | `ATTACHMENT_STORAGE_FILE_SYSTEM`
`static String` | `ATTACHMENTS_DIR`
`static String` | `ATTACHMENTS_DIR_PROP`
`static String` | `AUTOMATIC_BACKUP_DIRECTORY`
`static String` | `BACKUPTYPE_AUTOMATIC`
`static String` | `BACKUPTYPE_DISABLE`
`static String` | `BACKUPTYPE_SPECIFY`
`static String` | `BAMBOO_HOME_CONSTANT`
`static String` | `BAMBOO_SID`
`static String` | `BUNDLED_PLUGINS_DIR`
`static String` | `DAILY_BACKUP_DIR_PROP`
`static String` | `DEFAULT_BUILD_DIRECTORY`
`static String` | `DEFAULT_BUILD_WORKING_DIRECTORY`
`static String` | `DEFAULT_CONFIG_DIRECTORY`
`static String` | `DEFAULT_LICENSE_REGISTRY_KEY`
`static String` | `GLOBAL_PLUGIN_STATE`
`static String` | `LICENSE_HASH_KEY`
`static String` | `LICENSE_MESSAGE_KEY`
`static String` | `LUCENE_INDEX_DIR`
`static String` | `LUCENE_INDEX_DIR_PROP`
`static String` | `PLUGINS_DIR`
`static String` | `RESOURCES_DIR`
`static String` | `TEMP_DIR`
`static String` | `TEMP_DIR_PROP`
`static String` | `WEBAPP_CONTEXT_PATH_KEY`

Field Detail

### ATTACHMENTS_DIR

    static final String ATTACHMENTS_DIR

See Also:
  Constant Field Values

### LUCENE_INDEX_DIR

    static final String LUCENE_INDEX_DIR

See Also:
  Constant Field Values

### TEMP_DIR

    static final String TEMP_DIR

See Also:
  Constant Field Values

### PLUGINS_DIR

    static final String PLUGINS_DIR

See Also:
  Constant Field Values

### BUNDLED_PLUGINS_DIR

    static final String BUNDLED_PLUGINS_DIR

See Also:
  Constant Field Values

### BACKUPTYPE_AUTOMATIC

    static final String BACKUPTYPE_AUTOMATIC

See Also:
  Constant Field Values

### BACKUPTYPE_DISABLE

    static final String BACKUPTYPE_DISABLE

See Also:
  Constant Field Values

### BACKUPTYPE_SPECIFY

    static final String BACKUPTYPE_SPECIFY

See Also:
  Constant Field Values

### AUTOMATIC_BACKUP_DIRECTORY

    static final String AUTOMATIC_BACKUP_DIRECTORY

See Also:
  Constant Field Values

### ATTACHMENT_STORAGE_FILE_SYSTEM

    static final String ATTACHMENT_STORAGE_FILE_SYSTEM

See Also:
  Constant Field Values

### ATTACHMENT_STORAGE_DATABASE

    static final String ATTACHMENT_STORAGE_DATABASE

See Also:
  Constant Field Values

### RESOURCES_DIR

    static final String RESOURCES_DIR

See Also:
  Constant Field Values

### BAMBOO_HOME_CONSTANT

    static final String BAMBOO_HOME_CONSTANT

See Also:
  Constant Field Values

### LUCENE_INDEX_DIR_PROP

    static final String LUCENE_INDEX_DIR_PROP

See Also:
  Constant Field Values

### ATTACHMENTS_DIR_PROP

    static final String ATTACHMENTS_DIR_PROP

See Also:
  Constant Field Values

### DAILY_BACKUP_DIR_PROP

    static final String DAILY_BACKUP_DIR_PROP

See Also:
  Constant Field Values

### TEMP_DIR_PROP

    static final String TEMP_DIR_PROP

See Also:
  Constant Field Values

### LICENSE_HASH_KEY

    static final String LICENSE_HASH_KEY

See Also:
  Constant Field Values

### LICENSE_MESSAGE_KEY

    static final String LICENSE_MESSAGE_KEY

See Also:
  Constant Field Values

### WEBAPP_CONTEXT_PATH_KEY

    static final String WEBAPP_CONTEXT_PATH_KEY

See Also:
  Constant Field Values

### GLOBAL_PLUGIN_STATE

    static final String GLOBAL_PLUGIN_STATE

See Also:
  Constant Field Values

### DEFAULT_LICENSE_REGISTRY_KEY

    static final String DEFAULT_LICENSE_REGISTRY_KEY

See Also:
  Constant Field Values

### DEFAULT_CONFIG_DIRECTORY

    static final String DEFAULT_CONFIG_DIRECTORY

### DEFAULT_BUILD_DIRECTORY

    static final String DEFAULT_BUILD_DIRECTORY

### DEFAULT_BUILD_WORKING_DIRECTORY

    static final String DEFAULT_BUILD_WORKING_DIRECTORY

### BAMBOO_SID

    static final String BAMBOO_SID

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.